Get the cost of one operation by its reference
curl --request GET \
--url https://api.bold-factory.com/v1/production/orders/operations/{operationReference}/cost \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/production/orders/operations/{operationReference}/cost"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/production/orders/operations/{operationReference}/cost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "<string>",
"operationId": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"code": "<string>",
"externalReference": "<string>",
"name": "<string>",
"procurementType": "Make",
"autoUpdateCost": true,
"plannedCostPerUnit": {
"amount": 123,
"currency": "<string>"
},
"plannedMaterialCostPerUnit": {
"amount": 123,
"currency": "<string>"
},
"plannedLaborCostPerUnit": {
"amount": 123,
"currency": "<string>"
},
"plannedMachineCostPerUnit": {
"amount": 123,
"currency": "<string>"
},
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
}
},
"code": "<string>",
"name": "<string>",
"totalCost": {
"amount": 123,
"currency": "<string>"
},
"quantity": 123,
"machineHours": 123,
"costPerUnit": {
"amount": 123,
"currency": "<string>"
},
"laborCost": {
"amount": 123,
"currency": "<string>"
},
"materialCost": {
"amount": 123,
"currency": "<string>"
},
"machineCost": {
"amount": 123,
"currency": "<string>"
},
"plannedQuantity": 123,
"plannedMachineHours": 123,
"plannedLaborHours": 123,
"plannedLaborCostPerHour": {
"amount": 123,
"currency": "<string>"
},
"plannedLaborCost": {
"amount": 123,
"currency": "<string>"
},
"plannedMaterialCost": {
"amount": 123,
"currency": "<string>"
},
"plannedMachineCost": {
"amount": 123,
"currency": "<string>"
},
"plannedTotalCost": {
"amount": 123,
"currency": "<string>"
},
"plannedCostPerUnit": {
"amount": 123,
"currency": "<string>"
}
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/COMMON.AUTH.MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Families.Read",
"instance": "GET /v1/maintenance/assets",
"code": "COMMON.AUTH.MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/COMMON.ENTITY.NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Family (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/families/pr_72f13bd8218h9823dfj9",
"code": "COMMON.ENTITY.NOT_FOUND"
}{
"type": "https://api.bold-factory.com/errors/COMMON.RATE_LIMIT.EXCEEDED",
"title": "Rate limit exceeded",
"status": 429,
"detail": "The request rate limit for this tenant has been exceeded. Retry after the indicated delay.",
"instance": "GET /v1/admin/tenants/self",
"code": "COMMON.RATE_LIMIT.EXCEEDED",
"parameters": {}
}Operations
Get the cost of one operation by its reference
Requires Costs.Production.Read permissions
GET
/
v1
/
production
/
orders
/
operations
/
{operationReference}
/
cost
Get the cost of one operation by its reference
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Respuesta
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes